import java.io.BufferedReader;
import java.io.FileReader;
import java.io.IOException;
import java.util.logging.Logger;

public final class NestedFinally {

	public static void main(String... aArgs) {
		nestedFinally("C:\\Temp\\test.txt");
	}

	private static void nestedFinally(String aFileName) {
		try {
			
			BufferedReader reader = new BufferedReader( new FileReader ( aFileName ) );
			try {
				String line = null;
				while ((line = reader.readLine()) != null) {
					// logic to process the line...
				}
			} finally {
				
				reader.close();
			}
		} catch (IOException ex) {
			fLogger.severe("Problem occured : " + ex.getMessage());
		}
	}

	private static final Logger fLogger = Logger.getLogger(NestedFinally.class
			.getPackage().getName());
}