import java.io.FileOutputStream;
import java.io.IOException;
import java.io.ObjectOutputStream;
import java.text.DateFormat;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;

import com.home.markerDemo.Employee;

public class SerializeDemo {

	public SerializeDemo() {
	}

	public static void main(String[] args) {
		Employee employee = new Employee();
		employee.setFirstName("John");
		employee.setLastName("Smith");
		employee.setDepartment("Technical");
		employee.setEcode(1234);
		FileOutputStream fileOut = null ;
		ObjectOutputStream out = null ;
		try {
			String dojStr = "1971-07-15";
			DateFormat df = new SimpleDateFormat("yyyy-MM-dd");
			Date dojDate = null;
			dojDate = df.parse(dojStr);

			employee.setDateOfJoining(dojDate);
			fileOut = new FileOutputStream("employee.ser");
			out = new ObjectOutputStream(fileOut);
			out.writeObject(employee);
		} catch (IOException i) {
			i.printStackTrace();
		} catch (ParseException e) {
			e.printStackTrace();
		} finally {
			try {
				out.close();
				fileOut.close();
			} catch (IOException e) {
				e.printStackTrace();
			}
		}
	}

}
