import java.io.BufferedReader;
import java.io.FileReader;
import java.io.IOException;

public final class SimpleFinally {

	public static void main(String... aArgs) throws IOException {
		simpleFinally(" C:\\Temp\\test.txt ");
	}

	private static void simpleFinally(String aFileName) throws IOException {

		BufferedReader reader = new BufferedReader(new FileReader(aFileName));
		try {
			// Any exception in the try block will cause the finally block to
			// execute
			String line = null;
			while ((line = reader.readLine()) != null) {
				// logic to process the line...
			}
		} finally {
			reader.close();
		}
	}
}
